<?php
/*
Template Name: Category
*/
?>
<?php get_header(); ?>

<div id="padd-middle" class="padd-middle-list padd-middle-category">
	<div id="padd-middle-wrapper">

<div id="content">
	<div id="content-wrapper">

<?php if (have_posts()) : ?>
	<?php $post = $posts[0]; ?>
		<div class="post-group-title">
			<div class="post-top"></div>
			<h2>Posts Under <?php single_cat_title(); ?> Category</h2>
			<div class="post-bot"></div>
		</div>
		<div class="post-group post-group-index">
			<div class="post-top"></div>
	<?php while (have_posts()) : ?>
		<?php the_post(); ?>
			<div class="post post-index post-index-wide" id="post-<?php the_ID(); ?>">
				<?php
					$w = PADD_HOME_THUMB_1_W;
					$h = PADD_HOME_THUMB_1_H;
					$def = get_template_directory_uri() . '/images/thumbnail-1.jpg';
					$img = padd_theme_get_thumbnail('paddimage',$def,$w,$h);
				?>
				<a class="header" href="<?php the_permalink() ?>"><img class="header" src="<?php echo $img; ?>" alt="<?php the_title(); ?>" /></a>
				<div class="post-title">
					<h2><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
					<p>By <?php the_author_posts_link(); ?> | Published on <?php the_time('F j, Y') ?> at <?php the_category(', '); ?></p>
				</div>
				<div class="post-entry">
					<?php padd_theme_content(400); ?>
				</div>		
				<div class="post-meta">
					<ul>
						<li class="other readmore"><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>">Read More</a></li>
						<li class="other comments"><a href="<?php comments_link(); ?>"><span class="l"><span class="r"><span class="c"><?php comments_number('0 comments','1 comment', '% comments'); ?></span></span></span></a></li>
					</ul>
				</div>
			</div>
	<?php endwhile; ?>
			<div class="post-bot"></div>
		</div>

		<div class="post-navi">
			<div class="post-top"></div>
			<?php
				if (function_exists('wp_pagenavi')) {
					wp_pagenavi();
				} else {
			?>
			<div class="post-navi-simple">
				<p>
					<span class="align-l"><?php next_posts_link('&laquo; Older Entries') ?></span>
					<span class="divider">|</span>
					<span class="align-r"><?php previous_posts_link('Newer Entries &raquo;') ?></span>
				</p>
			</div>
			<?php
				}
			?>
			<div class="post-bot"></div>
		</div>

<?php else : ?>

		<div class="post-top"></div>
		<div class="post-group">
			<div class="post post-error">
				<div class="post-title">
					<h2>Not Found</h2>
				</div>
				<div class="post-entry">
					<p>Sorry, but you are looking for a category that isn't here.</p>
				</div>
			</div>
		</div>
		<div class="post-bot"></div>

<?php endif; ?>

	</div>
</div>

<?php get_sidebar(); ?>

<div class="clearer"></div>

	</div>
</div>

<?php get_footer(); ?>
